### Home Classes Methods

### In Files

- lib/thread_safe/version.rb

### Methods

- ::const_missing

### Class/Module Index

Quicksearch

- ThreadSafe
- ThreadSafe::Array
- ThreadSafe::AtomicReferenceCacheBackend
- ThreadSafe::AtomicReferenceCacheBackend::Node
- ThreadSafe::AtomicReferenceCacheBackend::Table
- ThreadSafe::Cache
- ThreadSafe::Hash
- ThreadSafe::MriCacheBackend
- ThreadSafe::NonConcurrentCacheBackend
- ThreadSafe::SynchronizedCacheBackend
- ThreadSafe::Util
- ThreadSafe::Util::Adder
- ThreadSafe::Util::CheapLockable
- ThreadSafe::Util::PowerOfTwoTuple
- ThreadSafe::Util::Striped64
- ThreadSafe::Util::Striped64::Cell
- ThreadSafe::Util::Volatile
- ThreadSafe::Util::VolatileTuple
- ThreadSafe::Util::XorShiftRandom
- SynchronizedDelegator
- Threadsafe

No matching classes.

# Threadsafe

NOTE: <= 0.2.0 used Threadsafe::VERSION @private

### Public Class Methods

const_missing(name) click to toggle source

@private

    # File lib/thread_safe/version.rb, line 10
    def self.const_missing(name)
      name = name.to_sym
      if ThreadSafe.const_defined?(name)
        warn "[DEPRECATION] `Threadsafe::#{name}' is deprecated, use `ThreadSafe::#{name}' instead."
        ThreadSafe.const_get(name)
      else
        warn "[DEPRECATION] the `Threadsafe' module is deprecated, please use `ThreadSafe` instead."
        super
      end
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.